Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77878 - ldd on ia64 has /lib/ld-linux-ia64-ia64.so.2 in RTLDLIST
Summary: ldd on ia64 has /lib/ld-linux-ia64-ia64.so.2 in RTLDLIST
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 7.2
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-14 18:05 UTC by Dave Tarbox
Modified: 2016-11-24 14:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-30 07:37:11 UTC


Attachments (Terms of Use)

Description Dave Tarbox 2002-11-14 18:05:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1) Gecko/20020719
Netscape/7.0

Description of problem:
ldd on ia64 sets /lib/ld-linux-ia64-ia64.so.2 instead of
/lib/ld-linux-ia64.so.2.  Using ldd on a statically linked executable
causes these messages:
ldd: /lib/ld-linux-ia64-ia64.so.2: No such file or directory
ldd: /lib/ld-linux-ia64-ia64.so.2 exited with unknown exit code ( 127)
If I edit ldd to use: RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux-ia64.so.2"
Then it correctly reports:
        not a dynamic executable


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ldd /usr/bin/db_dump185
2.
3.
	

Actual Results:  
paprika:davet.39$ 
paprika:davet.39$ uname -a
Linux paprika 2.4.9-18smp #1 SMP Tue Dec 11 12:59:00 EST 2001 ia64 unknown
paprika:davet.40$ 
paprika:davet.40$ /usr/bin/ldd /usr/bin/db_dump185
/usr/bin/ldd: /lib/ld-linux-ia64-ia64.so.2: No such file or directory
ldd: /lib/ld-linux-ia64-ia64.so.2 exited with unknown exit code (127)
paprika:davet.41$ 


Expected Results:  
paprika:davet.41$ 
paprika:davet.41$ /usr/bin/ldd.new  /usr/bin/db_dump185
        not a dynamic executable
paprika:davet.42$ 


Additional info:

paprika:davet.42$ 
paprika:davet.42$ diff ldd ldd.new
30c30
< RTLDLIST="/lib/ld-linux-ia64-ia64.so.2 /lib/ld-linux-ia64.so.2"
---
> RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux-ia64.so.2"
paprika:davet.43$

Comment 1 Ulrich Drepper 2003-04-30 07:37:11 UTC
This doesn't appear to be a problem in current releases.  The entry from ldd
even on an older installation (RH AS 2.1) shows

RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2"

I'm going to close this bug.


Note You need to log in before you can comment on or make changes to this bug.